Bug 407851 - SELinux is preventing microcode_ctl (cpucontrol_t) "write" to pipe (unconfined_t).
SELinux is preventing microcode_ctl (cpucontrol_t) "write" to pipe (unconfine...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pipepanic (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Andrea Musuruane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-02 09:23 EST by narendra
Modified: 2007-12-03 05:29 EST (History)
1 user (show)

See Also:
Fixed In Version: selinux-policy-3.0.8-62.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-03 05:29:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description narendra 2007-12-02 09:23:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.8) Gecko/20071030 Fedora/2.0.0.8-2.fc8 Firefox/2.0.0.8

Description of problem:
Summary
    SELinux is preventing microcode_ctl (cpucontrol_t) "write" to pipe
    (unconfined_t).

Detailed Description
    SELinux denied access requested by microcode_ctl. It is not expected that
    this access is required by microcode_ctl and this access may signal an
    intrusion attempt. It is also possible that the specific version or
    configuration of the application is causing it to require additional access.

Allowing Access
    You can generate a local policy module to allow this access - see
    http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you can disable
    SELinux protection altogether. Disabling SELinux protection is not
    recommended. Please file a http://bugzilla.redhat.com/bugzilla/enter_bug.cgi
    against this package.

Additional Information        

Source Context                system_u:system_r:cpucontrol_t:s0
Target Context                system_u:system_r:unconfined_t:s0
Target Objects                pipe [ fifo_file ]
Affected RPM Packages         
Policy RPM                    selinux-policy-3.0.8-44.fc8
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 2.6.23.1-42.fc8 #1 SMP
                              Tue Oct 30 13:55:12 EDT 2007 i686 i686
Alert Count                   1
First Seen                    Sun 02 Dec 2007 07:06:08 PM IST
Last Seen                     Sun 02 Dec 2007 07:06:08 PM IST
Local ID                      621e94b1-2930-493c-a618-2ccffec86344
Line Numbers                  

Raw Audit Messages            

avc: denied { write } for comm=microcode_ctl dev=pipefs path=pipe:[16558]
pid=4093 scontext=system_u:system_r:cpucontrol_t:s0 tclass=fifo_file
tcontext=system_u:system_r:unconfined_t:s0



Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.i dont know about the alert
2.
3.

Actual Results:


Expected Results:


Additional info:
Comment 1 Andrea Musuruane 2007-12-02 10:10:51 EST
Can you please install the latest selinux-policy and tell me if it will work
working? 

yum update selinux-policy

If it will not work, will you please specify how to reproduce this bug?

Thanks.

Andrea.
Comment 2 Andrea Musuruane 2007-12-02 10:15:36 EST
Added Daniel Walsh to CC list. Maybe he knows something...
Comment 3 Daniel Walsh 2007-12-02 20:36:23 EST
selinux-policy-3.0.8-62.fc8 should fix these.

It can be safely ignored.
Comment 4 Andrea Musuruane 2007-12-03 05:29:37 EST
Closing.

Note You need to log in before you can comment on or make changes to this bug.